Skip to main content
`Ctrl`+`K`

# pystac.provider

class pystac.provider.Provider(name: str, description: str | None = None, roles: list[ProviderRole] | None = None, url: str | None = None, extra_fields: dict[str, Any] | None = None)

  Provides information about a provider of STAC data. A provider is any of the organizations that captured or processed the content of the collection and therefore influenced the data offered by this collection. May also include information about the final storage provider hosting the data.

  Parameters:

    - name – The name of the organization or the individual.

    - description – Optional multi-line description to add further provider information such as processing details for processors and producers, hosting details for hosts or basic contact information.

    - roles – Optional roles of the provider. Any of licensor, producer, processor or host.

    - url – Optional homepage on which the provider describes the dataset and publishes contact information.

    - extra_fields – Optional dictionary containing additional top-level fields defined on the Provider object.

  description: str | None

    Optional multi-line description to add further provider information such as processing details for processors and producers, hosting details for hosts or basic contact information.

  extra_fields: dict[str, Any]

    Dictionary containing additional top-level fields defined on the Provider object.

  static from_dict(d: dict[str, Any]) → Provider

    Constructs a Provider from a dict.

    Returns:

      The Provider deserialized from the JSON dict.

    Return type:

      Provider

  name: str

    The name of the organization or the individual.

  roles: list[ProviderRole] | None

    Optional roles of the provider. Any of licensor, producer, processor or host.

  to_dict() → dict[str, Any]

    Returns this provider as a dictionary.

    Returns:

      A serialization of the Provider.

    Return type:

      dict

  url: str | None

    Optional homepage on which the provider describes the dataset and publishes contact information.

class pystac.provider.ProviderRole(*values)

  Enumerates the allows values of the Provider “role” field.

  HOST = 'host'
  LICENSOR = 'licensor'
  PROCESSOR = 'processor'
  PRODUCER = 'producer'